package com.iconplus.smartproc.model.entity;

import com.iconplus.smartproc.helper.base.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.Type;

import javax.persistence.*;
import java.sql.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "drp_approval")
public class DrpApproval extends BaseEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Long id;

    @Column(name = "drp_id")
    private Long drpId;

    @Column(name = "approver_vp_id")
    private Long approverVpId;

    @Column(name = "approver_vp_date")
    private Date approverVpDate;

    @Column(name = "approver_komite1_id")
    private Long approverKomite1Id;

    @Column(name = "approver_komite1_date")
    private Date approverKomite1Date;

    @Column(name = "approver_komite2_id")
    private Long approverKomite2Id;

    @Column(name = "approver_komite2_date")
    private Date approverKomite2Date;

    @Column(name = "approver_komite3_id")
    private Long approverKomite3Id;

    @Column(name = "approver_komite3_date")
    private Date approverKomite3Date;

    @Column(name = "approver_komite4_id")
    private Long approverKomite4Id;

    @Column(name = "approver_komite4_date")
    private Date approverKomite4Date;

    @Column(name = "approver_direktur_id")
    private Long approverDirekturId;

    @Column(name = "approver_direktur_date")
    private Date approverDirekturDate;

    @Column(name = "is_active")
    @Type(type = "org.hibernate.type.NumericBooleanType")
    private Boolean isActive;

    @Column(name = "is_delete")
    @Type(type = "org.hibernate.type.NumericBooleanType")
    private Boolean isDelete;

}
